MvcApplication/Controllers/CustomerController.cs
using MvcApplication.Infrastructure;
using System.Web.Mvc;


namespace MvcApplication.Controllers
{
    /// <summary>
    /// TODO: implement - maybe for first list the users accounts?
    /// </summary>
    public class CustomerController : BaseController
    {
        /// <summary>
        /// Get customers
        /// </summary>
        /// <returns></returns>
        public ActionResult List()
        {
            return View();
        }
    }
}

MvcApplication/Controllers/ProductController.cs
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication.Models;
using MvcApplication.Infrastructure.Interfaces;
using MvcApplication.Infrastructure;
using MvcApplication.Attributes;

namespace MvcApplication.Controllers
{
    /// <summary>
    /// Product controller - allowed for user in admin role
    /// </summary>
    [Authorize(Roles ="admin")]
    public class ProductController : BaseController
    {
        IProductRepository rep;

        public ProductController(IProductRepository r)
        {
            rep = r;
        }

        public ActionResult List()
        {
            return View(rep.Products());
        }

        public ActionResult Edit(int id)
        {
            ProductModel prod = rep.GetProduct(id);
            return View(prod);
        }

        [HttpPost]
        public ActionResult Edit(ProductModel prod, HttpPostedFileBase file)
        {
            if (ModelState.IsValid)
            {
                if (file != null)
                {
                    prod.ImageType = file.ContentType;
                    prod.Image = new byte[file.ContentLength];
                    file.InputStream.Read(prod.Image, 0, file.ContentLength);
                }
                rep.SaveProduct(prod);
                TempData["message"] = string.Format("\"{0}\" - successfuly saved", prod.Name);
                return RedirectToAction("List");
            }
            return View("Edit",prod);
        }

        [HttpPost]
        public ActionResult Delete(ProductModel prod)
        {
            rep.DeleteProduct(prod.Id);
            return new JsonResult()
            {
                Data = new JsonRequestResult()
                {
                    message = "Product deleted",
                    resultCode = 0
                },

                JsonRequestBehavior = JsonRequestBehavior.AllowGet
            };
        }

        public ActionResult Create()
        {
            return View("Edit", new ProductModel());
        }

        [HttpGet]
        public FileContentResult GetImage(int prodId)
        {
            ProductModel prod = rep.GetProduct(prodId);
            if (prod != null && prod.Image!=null)
                return File(prod.Image, prod.ImageType);
            else
                return null;
        }
    }
}

MvcApplication/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>@ViewBag.Title - Artur Majuch - usługi programistyczne / ASP.NET MVC Application</title>
        <link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" />
        <meta name="viewport" content="width=device-width" />
        @Styles.Render("~/Content/css")
        @Styles.Render("~/Content/themes/base/css", "~/Content/css")
        
    </head>
    <body>
        <header>
            <div class="content-wrapper">
                <div class="float-left">
                    <p class="site-title"><a title="www.e-msoft.com" href="http://www.e-msoft.com">Artur Majuch - usługi programistyczne</a></p>
                    <p>
                        Please visit: <a href="http://www.e-msoft.com">www.e-msoft.com</a>
                    </p>
                </div>
                <div class="float-right">
                    <section id="login">
                        @Html.Partial("_LoginPartial")
                    </section>
                    <nav>
                        <ul id="menu">
                            <li>@Html.ActionLink("Home", "Index", "Home")</li>
                            <li>@Html.ActionLink("Contact", "Contact", "Home")</li>
                            <li>@Html.ActionLink("Products", "List", "Product")</li>
                            <li>@Html.ActionLink("Customers", "List", "Customer")</li>
                        </ul>
                    </nav>
                </div>
            </div>
        </header>
        <div id="body">
            @RenderSection("featured", required: false)
            <section class="content-wrapper main-content clear-fix">
                @RenderBody()
                <div>
                    @if (TempData["message"] != null)
                    {
                        <div>@TempData["message"]</div>
                    }
                </div>
            </section>
        </div>
        <footer>
            <div class="content-wrapper">
                <div class="float-left">
                    <p>&copy; @DateTime.Now.Year - Artur Majuch - usługi programistyczne / ASP.NET MVC Application</p>
                </div>
            </div>
        </footer>
        
        @Scripts.Render("~/bundles/jquery")
        @Scripts.Render("~/bundles/jqueryval")
        @Scripts.Render("~/bundles/jqueryui")
        @Scripts.Render("~/bundles/modernizr")
        @Scripts.Render("~/bundles/application")
        @RenderSection("scripts", required: false)
    </body>
</html>